import data from './data.csv';

// Parsing and converting necessary fields to numeric values
for (const d of data) {
  d.age = +d.age; // Ensure 'age' is a number
  // Convert the first five skill ratings to numbers
  d.pace = +d.pace;
  d.shooting = +d.shooting;
  d.passing = +d.passing;
  d.dribbling = +d.dribbling;
  d.defending = +d.defending;
  d.physic = +d.physic;
}

export const main = (container) => {
  // Define font size for display
  const fontSize = 16;

  // Select the first player's data and structure the information to display
  const playerInfo = {
    Name: data[0].short_name,
    Age: data[0].age,
    Club: data[0].club_name,
    Pace: data[0].pace,
    Shooting: data[0].shooting,
    Passing: data[0].passing,
    Dribbling: data[0].dribbling,
    Defending: data[0].defending,
    Physic: data[0].physic,
  };

  // Convert the player's data to a JSON string for display, with indentation for formatting
  const json = JSON.stringify(playerInfo, null, 2);

  // Set the innerHTML of the container with the player's data, styled with the defined font size
  container.innerHTML = `
    <pre style="font-size: ${fontSize}px;">${json}</pre>
  `;
};

export { data };
